For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet ledger accounts
      • POSTCreate a new ledger account
      • GETGet a ledger account by ID
      • DELDelete a ledger account
      • PATCHUpdate a ledger account
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementLedger accounts

Get ledger accounts

GET
/ledger_accounts
GET
/v1/ledger_accounts
$curl https://api.sandbox.monite.com/v1/ledger_accounts \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "is_bank_account": true,
8 "status": "Active",
9 "type": "Asset",
10 "currency": "AED",
11 "current_balance": 1,
12 "description": "description",
13 "is_external": true,
14 "name": "Accounts Receivable",
15 "nominal_code": "610",
16 "subtype": "Current"
17 }
18 ],
19 "next_pagination_token": "next_pagination_token",
20 "prev_pagination_token": "prev_pagination_token"
21}
Get all ledger accounts
Was this page helpful?
Previous

Create a new ledger account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-250Defaults to 250
The number of items (0 .. 250) to return in a single page of the response. Default is 100. The response may contain fewer items if it is the last or only page. When using pagination with a non-default `limit`, you must provide the `limit` value alongside `pagination_token` in all subsequent pagination requests. Unlike other query parameters, `limit` is not inferred from `pagination_token`.
pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters except limit are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sort"name"Optional

The field to sort the results by. Typically used together with the order parameter.

is_externalbooleanOptional

Filter by external/internal ledger accounts

Response

Successful Response
datalist of objects
next_pagination_tokenstring
prev_pagination_tokenstring

Errors

400
Get Ledger Accounts Request Bad Request Error
401
Get Ledger Accounts Request Unauthorized Error
403
Get Ledger Accounts Request Forbidden Error
422
Get Ledger Accounts Request Unprocessable Entity Error
500
Get Ledger Accounts Request Internal Server Error

The number of items (0 .. 250) to return in a single page of the response. Default is 100. The response may contain fewer items if it is the last or only page.

When using pagination with a non-default limit, you must provide the limit value alongside pagination_token in all subsequent pagination requests. Unlike other query parameters, limit is not inferred from pagination_token.